Base URL: https://demo-api.incodesmile.com — Incode demo environment
Refresh UUID for already started onboarding with /omni/onboarding-url. Returns null if not started before this call or if start expired. Returned UUID is short lived (15sec) and should be refreshed in constant periods (5sec).
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
onboardingId |
string |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
success |
boolean | Flag indicating request passed successfully. | |
sessionStatus |
string | Session status Enum: Alive, Closed, Deleted |
|
urlUuid |
string | Short-lived uuid for validation |
400
Custom error statuses: - 4026: Invalid uuid parameter
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |